all repos — dotfiles @ ac74ce8a31ac4666d5722c5e8105e2b454560678

linux dotfiles

update log script with ecryption
Prithu Goswami prithugoswami524@gmail.com
Sun, 14 Feb 2021 00:39:30 +0530
commit

ac74ce8a31ac4666d5722c5e8105e2b454560678

parent

79d583c3c5402754fffbac278653c96aa7c2d031

3 files changed, 25 insertions(+), 22 deletions(-)

jump to
D bin/scripts/1log

@@ -1,8 +0,0 @@

-#!/bin/sh -# life log (stole from icy) -# git.icyphox.sh/dotfiles/tree/home/bin/log - -date="$(date "+%Y-%m-%d %H:%M:%S")" -l="$(printf '' | dmenu -p "$date")" -[ "$l" = "" ] && exit -printf '%s\t%s\n' "$date" "$l" >> ~/.config/ll
A bin/scripts/log

@@ -0,0 +1,11 @@

+#!/bin/sh +# life log (stole from icy) +# git.icyphox.sh/dotfiles/tree/home/bin/log + +key="A17AFDEA2EF9A76AA868285DE2AB251EDB8945E5" +log_path=~/docs/org/lifelog/ll.gpg +l="$(printf '' | dmenu)" +date="$(date "+%Y-%m-%d %H:%M:%S")" +[ "$l" = "" ] && exit +printf '%s\t%s\n' "$date" "$l" | cat <(gpg -d $log_path 2>/dev/null) - | gpg --yes -r $key -e -o $log_path +# cd `dirname $log_path` && git commit -am "lifelog commit" && git push
M bin/scripts/xupbin/scripts/xup

@@ -25,22 +25,22 @@ ext=$(echo "$1" | grep '\.' | awk -F'.' '{print "."$NF}')

else ext="" fi - if ssh $remote_hostname "test -f .share/$slug$ext" - then - echo "[Error] File already exists: $slug$ext" 1>&2 - exit 1 - else - rsync --ignore-existing --info=progress1 "$1" "$remote_hostname:.share/$slug$ext" 1>&2 || exit 1 + # if ssh $remote_hostname "test -f .share/$slug$ext" + # then + # echo "[Error] File already exists: $slug$ext" 1>&2 + # exit 1 + # else + rsync --ignore-existing --info=progress1,skip "$1" "$remote_hostname:.share/$slug$ext" 1>&2 || exit 1 echo "$remote_url/$slug$ext" - fi + # fi else - if ssh $remote_hostname "test -f .share/$2" - then - echo "[Error] File already exists: $2" 1>&2 - exit 1 - else - rsync --ignore-existing --info=progress1 "$1" "$remote_hostname:.share/$2" 1>&2 || exit 1 + # if ssh $remote_hostname "test -f .share/$2" + # then + # echo "[Error] File already exists: $2" 1>&2 + # exit 1 + # else + rsync --ignore-existing --info=progress1,skip "$1" "$remote_hostname:.share/$2" 1>&2 || exit 1 echo "$remote_url/$2" - fi + # fi fi fi